//
//  JDAISASRParameters.h
//  JDAISpeechManager
//
//  Created by 满达 on 2018/6/27.
//  Copyright © 2018年 Beijing Jingdong Shangke Information Technology Co., Ltd. All rights reserved.
//

#ifndef JDAISASRParameters_h
#define JDAISASRParameters_h

/*
 * JDAIS_ASR_SAMPLE
 * Value explanation:   音频采样率
 * Value type:          TJDAISVoiceRecognizeSampleRateFlags
 * Default value:       @（EVoiceRecognizeSampleRate16K）
 */
extern NSString *const JDAIS_ASR_SAMPLE;                // 录音采样率

/*
 * JDAIS_ASR_DOMAIN
 * Value explanation:   语音识别服务域的选择
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_DOMAIN;                // 领域模型设置

/*
 * JDAIS_ASR_SERVER_VAD_ENABLE
 * Value explanation:   是否启用云端 vad 截断
 * Value type:          TJDAISVoiceRecognizeVADEnabled
 * Default value:       @（EVoiceRecognizeVADEnabledNO）
 */
extern NSString *const JDAIS_ASR_SERVER_VAD_ENABLE;     // 是否启用云端 vad 截断

/*
 * JDAIS_ASR_APPID
 * Value explanation:   application id
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_APPID;                 // APPID

/*
 * JDAIS_ASR_APPKEY
 * Value explanation:   application key
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_APPKEY;                // appKey

/*
 * JDAIS_ASR_SECRETKEY
 * Value explanation:   secret key
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_SECRETKEY;             // secretKey

/*
 * JDAIS_ASR_AUDIO_SOURCE
 * Value explanation:   指示语音文件，将识别语音文件
 * Value type:          NSString
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_AUDIO_SOURCE;          // 语音识别的音频来源,默认从录音机输入

/*
 * JDAIS_ASR_RECOGNIZE_TYPE
 * Value explanation:   实时识别还是一句话识别
 * Value type:          TJDAISVoiceRecognizeType
 * Default value:       @(EVoiceRecognizeOneSentence)
 */
extern NSString *const JDAIS_ASR_RECOGNIZE_TYPE;        // 实时语音识别还是识别一句话

/*
 * JDAIS_ASR_IS_NEED_RECORD_FILE
 * Value explanation:   是否保存录音文件
 * Value type:          TJDAISVoiceRecognizeRecordAudio
 * Default value:       @(EVoiceRecognizeRecordAudioYes)
 */
extern NSString *const JDAIS_ASR_IS_NEED_RECORD_FILE;   // 是否需要保存录音文件

/*
 * JDAIS_ASR_RECORD_FILE_PATH
 * Value explanation:   保存录音文件路径设置
 * Value type:          TJDAISVoiceRecognizeRecordAudio
 * Default value:       @(EVoiceRecognizeRecordAudioYes)
 */
extern NSString *const JDAIS_ASR_RECORD_FILE_PATH;      // 录音文件保存目录设置

/*
 * JDAIS_ASR_POST_PROCESS_ENABLE
 * Value explanation:   是否打开后处理
 * Value type:          TJDAISVoiceRecognizePostProcess
 * Default value:       @(EVoiceRecognizePostProcessNO)
 */
extern NSString *const JDAIS_ASR_POST_PROCESS_ENABLE;   // 是否打开后处理(int) 默认:0 打开:1 关闭:-1

/*
 * JDAIS_ASR_VAD_START_DELAY
 * Value explanation:   vad开始延迟
 * Value type:          float
 * Default value:       @(kJDAIS_ASR_VAD_START_DELAY_DEF_VAL)
 */
extern NSString *const JDAIS_ASR_VAD_START_DELAY;       // vad开始延迟

/*
 * JDAIS_ASR_VAD_END_DELAY
 * Value explanation:   vad结束延迟
 * Value type:          float
 * Default value:       @(kJDAIS_ASR_VAD_END_DELAY_DEF_VAL)
 */
extern NSString *const JDAIS_ASR_VAD_END_DELAY;         // vad结束延迟

/*
 * JDAIS_ASR_LOCAL_VAD_ENABLE
 * Value explanation:   是否启用本地vad 截断
 * Value type:          TJDAISVoiceRecognizeLocalVADEnabled
 * Default value:       @（EVoiceRecognizeLocalVADEnabledYES）
 */
extern NSString *const JDAIS_ASR_LOCAL_VAD_ENABLE;     // 是否启用本地vad 截断

// 动态语言模型相关

/*
 * JDAIS_ASR_PHRASE_LIST
 * Value explanation:   个性化词表短语
 * Value type:          [NSString]
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_PHRASE_LIST;

/*
 * JDAIS_ASR_CONTEXT_ID
 * Value explanation:   动态短语id
 * Value type:          NSInteger
 * Default value:       -
 */
extern NSString *const JDAIS_ASR_CONTEXT_ID;

/*
 * JDAIS_ASR_PARTIAL_RESULT
 * Value explanation:   是否启用实时部分结果识别
 * Value type:          TJDAISVoiceRecognizePartialResult
 * Default value:       @(EVoiceRecognizePartialResultNO)
 */
extern NSString *const JDAIS_ASR_PARTIAL_RESULT;   // 是否启用实时部分结果识别(int) 默认:0 打开:1 关闭:-1

/*
* JDAIS_ASR_PUNC_PROCESS
* Value explanation:   是否启用结果带标点功能
* Value type:          TJDAISVoiceRecognizePunc
* Default value:       @(EVoiceRecognizePartialResultDefault)
*/
extern NSString *const JDAIS_ASR_PUNC_PROCESS;   // 是否启用结果带标点功能(int) 默认:0 打开:1 关闭:-1

/*
* JDAIS_ASR_DYNAMIC_LM_ENABLE
* Value explanation:   是否启用动态语言模型功能
* Value type:          TJDAISVoiceRecognizeDynamicLm
* Default value:       @(EVoiceRecognizeDynamicLmDefault)
*/
//extern NSString *const JDAIS_ASR_DYNAMIC_LM_ENABLE;    // 是否启用动态语言模型功能(int) 默认:0 打开:1 关闭:-1

#endif /* JDAISASRParameters_h */
